Page 1 of 3 123 LastLast
Results 1 to 10 of 23
Discuss [1.1.x] Purchase ? Restore? at the iPhone "2G" (Rev. 1) - Hackint0sh.org; I'm looking at picking up a iphone- take it all of o2's stock is going ...
  1. #1
    Rookie Array

    Join Date
    Feb 2008
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default [1.1.x] Purchase ? Restore?

    I'm looking at picking up a iphone- take it all of o2's stock is going to be 1.1.3 now? with 4.6 bootloader?

    Can I just use ziphone to unlock/jailbreak/activate it? Does this downgrade the bootloader to 3.9? What are the ramifications of doing this? Can the bootloader be restored?

    If I then decide to return the iphone- by restoring in itunes does this put it back to EXACTLY the same as when it came out of the box?

    Cheers

    p.s. None of these questions are fully answered, so please do not tell me to search the forums. Trust me I have for hours.



  2. #2
    Professional Array

    Join Date
    Dec 2007
    Posts
    74
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    All of O2 stock will be 1.1.3 with 4.6 bootloader if you go for the 16GB iphone, however you may still get a 1.1.2 with 4.6 bootloader if you go for the 8GB iphone. I personally buy from Carphonewarehouse if I am looking for a 1.1.2 iphone and O2 stores for 1.1.3.

    Yes you can just use Ziphone to unlock, jailbreak and activate and this will not downgrade the bootloader to 3.9
    The ramifications in doing this is when you unlock a phone with 1.1.3 installed you will have the latest baseband 04.03.
    The bootloader cannot be restore (back to 4.6) via software.

    As an aside, I don't think you can return the iPhone if you change your mind (I know you can't if you buy from Carphonewarehouse) only if you fail the credit check during activation. But yes you can get the iphone back to EXACTLY how it came out of the box assuming you did not select the option to downgrade the bootloader to 3.9

  3. #3
    Rookie Array

    Join Date
    Feb 2008
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Thanks for that- so why do you ever need to downgrade the bl to 3.9??

  4. #4
    Professional Array

    Join Date
    Dec 2007
    Posts
    74
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    You only need to downgrade the bootloader if you want the latest baseband unlocked. 04.03 cannot currently be unlocked with BL 4.6

  5. #5
    Rookie Array

    Join Date
    Feb 2008
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    oh so you cannot unlock a 1.1.3 OTB without downgrading the bootloader to 3.9?

    Unless you go back to 1.1.2?



  6. #6
    Professional Array

    Join Date
    Dec 2007
    Posts
    74
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    Without getting technical with bootloader 4.6 you cannot unlock 1.1.3. The ziphone process jailbreaks 1.1.3 and replaces baseband 04.03 with an unlocked 04.02 baseband. Going down to 1.1.2 is irrelevant.
    So yes to completely unlock 1.1.3 with 04.03 baseband, you have to downgrade BL to 3.9

    Your head will explode if you keep this up.

    Personally I would downgrade the BL to 3.9. I have done it on my phone.

  7. #7
    Rookie Array

    Join Date
    Feb 2008
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    lol- thanks. You prob are right about my head exploding!

    By downgrading to 3.9 surely none of the future apple updates will be possible until someone works out how to upgrade back to 4.6 (or higher of course)?

    On a side note- does bootloader 4.6 bring any improvements to how the iphone actually functions then? Or is the difference between 3.9 and 4.6 simply the security they contain?

    Cheers

  8. #8
    Rookie Array

    Join Date
    Feb 2008
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    In addition to my previous questions-

    What is the best means to unlock/activate/jailbreak a OTB 1.1.3 (UK) iphone? Ziphone? What options do I need ticked in ziphoneGUI?

    Thanks

  9. #9
    Professional Array

    Join Date
    Dec 2007
    Posts
    74
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    The bootloader does not have any effect on future updates from Apple, 4.6 is just more secure than 3.9 from a hacking point of view. In terms of phone functionality no different. Just based on your indecision I think you should stay with BL 4.6. You can always change your mind later there is no rush. I use ziphone from the command prompt instead of the GUI and just type
    ziphone -a -j -u -v (This will keep your BL at 4.6)
    If you want to use the GUI then just tick Unlock, Activate and Jailbreak.
    If you are using an earlier version then you also need to tick Verbose.

    I have stayed on Version 2.0 for Windows.
    Why change something that is not broken.

    So for the avoidance of doubt the version of BL has no effect on future updates, remember all iPhones sold between about July 2007 to November 2007 had BL 3.9
    Last edited by m3centurion; 02-20-2008 at 10:54 AM.

  10. #10
    Rookie Array

    Join Date
    Feb 2008
    Posts
    15
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    ok- sounds good. Why the need to downgrade the bootloader at all then? So by using ziphone a 1.1.3 OTB can end up being (1.1.3, 4.6BL) or can you only get back to 1.1.3 if you downgrade the BL to 3.9?


 

 
Page 1 of 3 123 LastLast

Similar Threads

  1. What AT&T plans can I purchase for 2g?
    By gamer999 in forum iOS 3.x (iPhone OS 3.x)
    Replies: 3
    Last Post: 11-29-2009, 06:07 AM
  2. [UK] Where in Can I purchase an iPhone ?
    By Pezmc in forum General
    Replies: 5
    Last Post: 04-16-2008, 08:56 PM
  3. Replies: 6
    Last Post: 12-30-2007, 09:30 PM
  4. ::Turbo sim purchase::
    By poweredbylarios in forum General
    Replies: 1
    Last Post: 08-20-2007, 02:43 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 05:04 PM.
twitter, follow us!